/*
 * PSP Software Development Kit - http://www.pspdev.org
 * -----------------------------------------------------------------------
 * Licensed under the BSD license, see LICENSE in PSPSDK root for details.
 *
 * main.c - Simple PRX example.
 *
 * Copyright (c) 2005 James Forshaw <tyranid@gmail.com>
 * Edited by pspballer07
 *
 * $Id: main.c 1531 2005-12-07 18:27:12Z tyranid $
 */
#include <pspkernel.h>
#include <pspctrl.h>
#include <stdio.h>
#include <string.h>
#include <pspmodulemgr.h>

PSP_MODULE_INFO("Test PRX", 0x1000, 1, 1);

int main(int argc, char **argv)
{
	SceCtrlData pad;
	while(1)
	{
		sceCtrlPeekBufferPositive(&pad, 1);
		if(pad.Buttons & PSP_CTRL_RTRIGGER)
		{
			if(pad.Buttons & PSP_CTRL_TRIANGLE)
			{
				//put VSH code here for if they press R and triangle
			}
		}
	sceKernelDelayThread(1000);
	}
	return 0;
}

/* Exported function returns the address of module_info */
void* getModuleInfo(void)
{
	return (void *) &module_info;
}
